ok it's good! thx
Just one things, for add keyboard shortcuts, what's is the function?
again thx.
ok it's good! thx
Just one things, for add keyboard shortcuts, what's is the function?
again thx.
Hello,
I have a simply menu, i want create a toolbar of this. What is the function?
thx.
I don't know if your function correspond at my question
Maybe isn't possible, but i have the configuration of my layer like in the screen:
and i want arrive at:
hello,
I work with layer in my plugin.
I create an object, this object must be put on a layer.
I want to be in a specific layer, and not just put visible=false or true.
See in my code after :
#I have 3 layers:"Layer0", "Batiment" and "Gestion de zones", i hide "Batîment"
#I want to be in the layer "Gestion de zone" to create my object
#here "Batiment" is just hidden but i don't arrive to be in the layer "Gestion de zone"
thx.
model=Sketchup.active_model
#I have 3 layers;"Layer0", "Batiment" and "Gestion de zones", i hide "Batîment"
#I want to be in the layer "Gestion de zone" to create my object
#here "Batiment" is just hidden but i don't arrive to be in the layer "Gestion de zone"
layers = model.layers
layers.each { |e|
name=e.name
if name.to_s == "Batiment"
e.visible=false
end
if name.to_s == "Gestion des zones"
e.visible=true
$gestion_zone_activation=1
end
}
# Get "handles" to our model and the Entities collection it contains.
model = Sketchup.active_model
entities = model.entities
# Create a series of "points", each a 3-item array containing x, y, and z.
pt1 = [0, 0, 0]
pt2 = [30, 0, 0]
pt3 = [30, 0, 17]
pt4 = [0, 0, 17]
coordinates = [0, 0, 8.5]
# Call methods on the Entities collection to draw stuff.
# new_face = entities.add_face pt1, pt2, pt3, pt4
group = entities.add_group
point = Geom;;Point3d.new coordinates
group.entities.add_face(pt1,pt2,pt3,pt4)
hum, ok, thx.
When i search on this API i don't find...-_-' you are my angel thx
Hello,
Is it possible to use the add-on gtk for ruby and use this in a plugin sketchup?
I want to create a listbox.
Maybe i can create a listbox less gtk in my plugin but say me if you know^_^.
Thx -_-'
menu.add_item("Delete a Friend(" + namef=Sketchup.active_model.selection[0].get_attribute("MyDico", namefriends).to_s + ")") { delete_friend(namefriends)}
I want to pass the attribute corresponding, after in my function:
def delete_friend(name)
puts name
a=Sketchup.active_model.selection[0].set_attribute("MyDico",name,nil)
end
the problem, if i have for my object the attributes: name="Pauline"; namefriends1="Jim"; namefriends2="John" ect ect namefriends+i="a name" (pauline it's a person and Jim, john ect ect are friends, if i want delete a friend of the list i must say "namefriends corresponding to the friend is nil".)
in skectchup i have my menu with a list of: Delete a friend(Jim)
Delete a friend(john)
Delete a friend(anna)
when i click on one menu the namefriends is always anna because it's namefriends+i.to_s and so namefriends3 for all menu...
ok thx, i test your solution. I don't know what I'll do without you...really...
Pauline, you want NameF to contain a user friendly name - but instead you're getting something else? What value is it NameF is getting?
NameF contained Just a person, and this person have a lot of friends (NameFriend)
I created a function that associates an object to other objects. Each object is a person.
So a person(NameF) conatained friends ("NameFriend"+i.to_s)
Exemple: Jim (NameF) contained too Adrian(NameFriend1),Jaine(NameFriend2),Sylvain(NameFriend3)
My menu is a list to delete a friend. I want to pass the NameFriend corresponding in the function "delete_friend" to know what a friend I delete.
And in my menu, when i click on my menu, NameFriend is not the good variable, because:
NameFriends="NameFriends"+i.to_s
menu.add_item("Delete a Friend(" + NameF=Sketchup.active_model.selection[0].get_attribute("MyDico", NameFriends).to_s + ")") { delete_friend(NameF)}
When i click on my menu NameF i have always the last NameF where i is max. So...it's good for the last friend but no for other.
An other question? I do not know if I'm clear...
We can use the extension gtk2? i don't test for the moment.